#include <Servo.h>
int PRleft=A1;            //Setting Photoresistor pins to
int PRright=A0;           // A1 and A0
int dt=200;              // constant reading rate if not detecting sunlight
int Vleft;               //
int Vright;              //
Servo myServo;           //
int SunValue=650;        // Resistor reading value for sunlight, anything greater than this is considered direct light
int ServoLimitHigh=159;  // Constraints for servo degrees
int ServoLimitLow=30;    // Lower constraint
int Moveleft=90;         // The servo motor starts at 90 degrees
int Moveright=90;        //there are 2 values for left or right movement, we set them equal to eachother throughout the loop
int servodelay=500;      //This delay kicks in once sunlight is detected
int left;
int right;

void setup() {
Serial.begin(9600);
pinMode(PRleft,INPUT);
pinMode(PRright,INPUT);
myServo.attach(3);                //Servo attached to pin 3
myServo.write(Moveleft);          //puts servo at start pos of 90 degrees
constrain(Moveleft, ServoLimitLow, ServoLimitHigh);
constrain(Moveright, ServoLimitLow, ServoLimitHigh);
}

void loop() {
Vleft=analogRead(PRleft);         //set up for serial monitor
Vright=analogRead(PRright);       //
Serial.print("Left");             //
Serial.println(Vleft);            //printing value of left photoresistor
delay(dt);                        //
Serial.print("right");            //
Serial.println(Vright);           //printing value of right photoresistor;
Serial.println(Moveleft);         //printing value of current servo degree;
delay(dt);

if(Vleft>Vright && Vleft>SunValue){   //if left resistor is brighter that right AND detects sunlight;
myServo.write(-- Moveleft);           //moves 1 degree to the left;
Moveright = Moveleft;                 //sets left move equal to right movement;  
if(Moveleft<ServoLimitLow){           //If the degree goes outside of the constraint it is returned to the constraint, 
++Moveleft;                           //or else moveleft will count up infinitely and the servo won't move back right 
}                                     //until it gets under the constraint value.
delay(servodelay);                    //
}
else if(Vright>Vleft && Vright>SunValue){ //same code but for right side logic
myServo.write(++ Moveright);              //adds a degree to the right
Moveleft = Moveright;                     //sets right and left degree equal to eachother so if it has to move left,
if(Moveright>ServoLimitHigh){             // it wont jump to last move left value before moving
--Moveright;
}
delay(servodelay);                        //once it detects sunlight the delay between readings increases to
}                                         //avoid volitility and over movement, the arm will naturally stop
}                                         //moving once the shade covers the resistors and no sunlight is detected.
